package "maxlink-load"
version "@PACKAGE_VERSION@"
purpose "Maxlink is a software that implements the cancer gene network searching algorithm that was first described in the article: Network-based Identification of Novel Cancer Genes. This program preprocesses and loads the network into a database"

option "protein-network-file-format" F "file format of the edges"  values="xml","tsv" default="tsv" enum optional
option "protein-network-filename" f "edges filename" string typestr="filename"
option "verbose" v "extra verbose" flag off
option "debug" D "debug information is printed to stderr" flag off
option "exclude-maxlink-version2" e "Don't store any shortest paths. This means that maxlink version 2 queries (maxlink-query2) will not be possible" flag off
option "fbs-cutoff" c "only consider edges with a FBS higher than cutoff." float default="8.0" optional
option "tokyo-cabinet-dir" d "tokyo cabinet directory where to store the data. If this option is not given the directory path needs to be specified with the environment variable MAXLINK_TOKYO_CABINET_DIR" string typestr="dirname" optional


