#!/bin/sh

set -e
tcdir=`mktemp -d`

@maxlink-load_EXE@ --tokyo-cabinet-dir=$tcdir --protein-network-file-format=xml --protein-network-filename=$1/../../data/protein_network_erison_test1.xml > $2/maxlink-load-stdout 2> $2/maxlink-load-stderr
@maxlink-query2_EXE@  --tokyo-cabinet-dir=$tcdir --gene-list-filename=$1/../../data/genes_erison_test1.xml --gene-list-file-format=xml --output-format xml  --probability-cutoff 1.0 > $2/maxlink-query2-stdout 2> $2/maxlink-query2-stderr

if diff -q $1/result $2/maxlink-query2-stdout
then
  exit 0
fi

exit 1
