<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE></TITLE>
	<META NAME="GENERATOR" CONTENT="LibreOffice 3.5  (Linux)">
	<META NAME="AUTHOR" CONTENT="Dimitri Guala">
	<META NAME="CREATED" CONTENT="20121107;14334900">
	<META NAME="CHANGEDBY" CONTENT="Dimitri Guala">
	<META NAME="CHANGED" CONTENT="20121107;15285400">
	<STYLE TYPE="text/css">
	<!--
		@page { margin: 0.79in }
		P { margin-bottom: 0.08in }
		H1 { margin-bottom: 0.08in }
		H1.western { font-family: "Liberation Sans", sans-serif; font-size: 16pt }
		H1.cjk { font-family: "Droid Sans"; font-size: 16pt }
		H1.ctl { font-family: "Lohit Hindi"; font-size: 16pt }
		H2 { margin-bottom: 0.08in }
		H2.western { font-family: "Liberation Sans", sans-serif; font-size: 14pt; font-style: italic }
		H2.cjk { font-family: "Droid Sans"; font-size: 14pt; font-style: italic }
		H2.ctl { font-family: "Lohit Hindi"; font-size: 14pt; font-style: italic }
		H3 { margin-bottom: 0.08in }
		H3.western { font-family: "Liberation Sans", sans-serif }
		H3.cjk { font-family: "Droid Sans" }
		H3.ctl { font-family: "Lohit Hindi" }
		A:link { so-language: zxx }
	-->
	</STYLE>
</HEAD>
<BODY LANG="en-US" DIR="LTR">
<H1 CLASS="western">MaxLink</H1>
<H3 CLASS="western">Introduction</H3>
<P STYLE="margin-bottom: 0in">Maxlink is a network searching algorithm
that was first described in the article <a href="http://sonnhammer.sbc.su.se/download/papers/2010_MCP_9:648-655.pdf" target="article">&quot;Network-based
Identification of Novel Cancer Genes&quot;</a> [Östlund:2010].</P>
<P STYLE="margin-bottom: 0in">Version 2.0 - The current version implements the
original searching algorithm on the network <a href="http://funcoup.sbc.su.se/" target="FC3">FunCoup 3.0</a>.</P>
<H3 CLASS="western">Parameters</H3>
<H2 CLASS="western">Query network</H2>
<P STYLE="margin-bottom: 0in">This parameter defines which species
network will be searched.</P>
<P STYLE="margin-bottom: 0in">The default setting is “human”.
Other options are:</P>
<UL>
	<LI><P STYLE="margin-bottom: 0in">Mus musculus</P>
	<LI><P STYLE="margin-bottom: 0in">Rattus norvegicus</P>
	<LI><P STYLE="margin-bottom: 0in">Canis familiaris</P>
	<LI><P STYLE="margin-bottom: 0in">Gallus gallus</P>
	<LI><P STYLE="margin-bottom: 0in">Danio rerio</P>
	<LI><P STYLE="margin-bottom: 0in">Ciona intestinalis</P>
	<LI><P STYLE="margin-bottom: 0in">Drosophila melanogaster</P>
	<LI><P STYLE="margin-bottom: 0in">Caenorhabditis elegans</P>
	<LI><P STYLE="margin-bottom: 0in">Saccharomyces cerevisiae</P>
	<LI><P STYLE="margin-bottom: 0in">Arabidopsis thaliana</P>
</UL>
<H2 CLASS="western">Confidence threshold</H2>
<P STYLE="margin-bottom: 0in">The confidence threshold is probabilistic confidence score
that ranges from 0 to 1 and is calculated from the final Bayesian score (FBS) representing
the amount of support the data shows for a link in the FunCoup network. Please read more about this
<A HREF="http://www.ncbi.nlm.nih.gov/pubmed/22110034">here</A>.</P>
<P STYLE="margin-bottom: 0in">The default setting is Confidence threshold = 0.75 (FBS = 8), meaning that only links with the probability of higher than or equal to 0.75 will be considered.</P>
<H2 CLASS="western">Hypergeometric cutoff</H2>
<P STYLE="margin-bottom: 0in">A hypergeometric test is performed on each candidate gene. Comparing the number of links it has to the query set with the number of links it has overall. The hypergeometric cutoff sets the highest hypergeometric
probability that will be accepted in the resulting gene list. The default is 0.1.</P>
<H3 CLASS="western">To use the application</H3>
<OL>
	<LI><P STYLE="margin-bottom: 0in">Input a list of <a href="http://www.ensembl.org/info/docs/genebuild/genome_annotation.html" target="ID">Ensemble gene
	identifiers</a> (e.g. ensg00000185627) separated by line breaks into the <I>Find genes</I> text box</P>
	<LI><P STYLE="margin-bottom: 0in">Choose the appropriate parameters</P>
	<LI><P STYLE="margin-bottom: 0in">Press the “submit” button</P>
</OL>
<P STYLE="margin-bottom: 0in">The result will be displayed as a list
of genes sorted based on their connectivity to the query list
(MaxLink score). Follow the supplied link to visualize the resulting
genes in the context of the searched FounCoup network.</P>
</BODY>
</HTML>
